CALIBREDB(1)

NAME
calibredb - calibredb

calibredb comando [options] [arguments]

calibredb é a interface de linha de comandos para a base de dados do Calibre. Possui vários subcomandos, documentados a seguir.

calibredb pode ser usado para manipular quer uma base de dados Calibre especificada por caminho quer um Servidor de conteúdos Calibre em execução em máquina local ou na Internet. Você pode iniciar um :guilabel: Servidor de conteúdos Calibre usando o programa calibre-server ou, no programa principal Calibre, clicar em Ligar/Partilhar -> Iniciar servidor de conteúdos`. Como o calibredb pode efetuar alterações nas suas bibliotecas Calibre, primeiro você deve configurar a autenticação no servidor. Existem duas maneiras de o fazer:

•   Se planeia ligar-se apenas a um servidor a funcionar no mesmo computador, você pode simplesmente usar a opção --enable-local-write do servidor de conteúdos, para permitir que qualquer programa que seja executado no computador local, incluindo o calibredb, possa fazer alterações nos seus dados Calibre. Ao executar o servidor a partir do programa principal do Calibre, esta opção está em Preferências → Partilhar na rede → Avançado.

•   Se deseja ativar o acesso pela internet então deve configurar contas de utilizador no servidor e usar as opções :option: --username e :option:` --password` para :command: calibredb para fornecer acesso.

    Você pode configurar a autenticação de utilizadores para :command: calibre-server usando a opção --enable-auth e usando --manage-users para criar as contas de utilizador. Se estiver a executar o servidor a partir do programa Calibre principal, use Preferências →  Partilhar na rede → Exigir nome de utilizador / senha.

    Para ligar a um servidor de conteúdo em execução, passe a URL do servidor para a opção :option: --with-library. Veja a documentação dessa opção para detalhes e exemplos.

•   OPÇÕES GLOBAIS

•   list

•   add

•   Adicionar a partir de pastas

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB OPÇÕES

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

•   fts_index

•   fts_search

OPÇÕES GLOBAIS

--help, -h
    mostrar esta mensagem de ajuda e sair

--library-path, --with-library
    Caminho para a biblioteca do Calibre. Por predefinição é usado o caminho armazenado nas definições. Pode também ligar-se a um servidor de conteúdos Calibre para executar ações em bibliotecas remotas. Para tal, use um URL na forma: http://hostname:port/#id_da_biblioteca , por exemplo, http://localhost:8080/#mylibrary . id_da_biblioteca é o identificador da biblioteca à qual se pretende ligar no servidor de conteúdos. Pode usar o valor especial de id_da_bilbioteca - para obter uma lista de identificadores de bibliotecas disponíveis no servidor. Para detalhes sobre como configurar o acesso através de um servidor de conteúdos, veja https://manual.calibre-ebook.com/pt/generated/pt/calibredb.html.

--password
    Senha para se ligar a um servidor de conteúdos Calibre. Para ler a senha a partir da entrada padrão, use o valor especial: <stdin>. Para ler a senha de um ficheiro use: <f:/path/to/file> (isto é: <f: followed by the full path to the file and a trailing >). Os parênteses angulares acima são obrigatórios, lembre-se de os escapar ou use aspas para a sua Shell.

--timeout
    O tempo limite, em segundos, para se ligar a uma biblioteca Calibre pela rede. A predefinição é de dois minutos.

--username
    Nome de utilizador para ligar ao servidor de conteúdos do Calibre

--version
    mostrar o número da versão do programa e sair

LIST

calibredb list [options]

Lista de livros disponíveis na base de dados do Calibre.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--ascending
    Ordenar os resultados por ordem crescente

--fields, -f
    Os campos a apresentar ao listar os livros na base dados. Deve ser uma lista de campos separados por virgulas. Campos disponíveis: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid A predefinição é: title,authors. O campo especial "all" pode ser utilizado para selecionar todos os campos. Para além dos campos internos acima, os campos personalizados também estão disponíveis como *field_name, por exemplo, para o campo personalizado #rating, use o nome: *rating

--for-machine
    Gerar ficheiro de saída no formato JSON que é mais adequado para análise de máquina. Isto fará com que a largura de linha e as opções de separador sejam ignorados.

--limit
    O número máximo de resultados a mostrar. Predefinição: todos

--line-width, -w
    A largura máxima de uma linha no ficheiro de destino. A predefinição será detetar o tamanho do ecrã.

--prefix
    O prefixo para todos os caminhos para os ficheiros. A predefinição é usar o caminho absoluto para a pasta da biblioteca.

--search, -s
    Filtrar resultados pela expressão de pesquisa. Sobre o formato da expressão de pesquisa, veja a documentação relacionada com as pesquisas no Manual do utilizador. A predefinição é não filtrar.

--separator
    A expressão utilizada para separar os campos. A predefinição é um espaço.

--sort-by
    O campo pelo qual ordenar os resultados. Pode especificar múltiplos campos separando-os por vírgulas. Campos disponíveis: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Predefinição: id

--template
    O modelo a ser executado se "template" estiver na lista de campos. Predefinição: Nenhum

--template_file, -t
    Caminho para um ficheiro contendo o modelo a ser executado se "template" estiver na lista de campos. Predefinição: Nenhum

--template_heading
    Cabeçalho para a coluna do modelo. Predefinição: template. Esta opção é ignorada se a opção --for-machine estiver marcada

ADD

calibredb add [options] ficheiro1 ficheiro2 ficheiro3 ...

Adicionar os ficheiros especificados à base de dados. Também pode especificar pastas: ver abaixo as opções relativas às pastas.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--authors, -a
    Definir o autor do(s) livro(s) adicionado(s)

--automerge, -m
    Se forem encontrados livros com títulos e autores semelhantes, fundir automaticamente os formatos (ficheiros) a receber nos registos de livros existentes. Um valor de "ignore" (Ignorar) significa que os formatos duplicados são descartados. Um valor "overwrite" (Sobrepor) significa que os formatos duplicados na biblioteca são substituídos pelos ficheiros recém-adicionados. Um valor de "new_record" (Novo registo) significa que os formatos duplicados são colocados num novo registo de livro.

--cover, -c
    Caminho para a capa utilizar no livro adicionado

--duplicates, -d
    Adicionar livros à base de dados mesmo se estes já existem. A comparação é feita baseada nos títulos e autores dos livros. Note que a opção --automerge tem precedência.

--empty, -e
    Adicionar livro vazio (um registo sem qualquer formato)

--identifier, -I
    Definir identificadores para este livro, por exemplo -I asin:XXX -I isbn:YYY

--isbn, -i
    Definir o ISBN do(s) livro(s) adicionado(s)

--languages, -l
    Uma lista de idiomas separada por vírgulas (é melhor utilizar códigos de idioma ISO639, apesar de alguns nomes de idiomas poderem ser reconhecidos)

--series, -s
    Definir as séries do(s) livro(s) adicionado(s)

--series-index, -S
    Definir o numero na série do(s) livro(s) adicionado(s)

--tags, -T
    Definir as etiquetas do(s) livro(s) adicionado(s)

--title, -t
    Definir o título do(s) livro(s) adicionado(s)

  Adicionar a partir de pastas

Opções para controlar a inclusão de livros a partir de pastas. Por predefinição só serão adicionados ficheiros com extensões conhecidas de formatos de livros.

--add
    Um padrão (glob) de nomes de ficheiros, em que os ficheiros que correspondam a este padrão serão adicionados quando se varrem pastas na pesquisa de ficheiros, mesmo que não sejam de um tipo de ficheiro conhecido como livro digital. Pode ser especificado múltiplas vezes para múltiplos padrões.

--ignore
    Um padrão (glob) de nomes de ficheiros, em que os ficheiros que correspondam a este padrão serão ignorados quando se varrem pastas na pesquisa de ficheiros. Pode ser especificado múltiplas vezes para múltiplos padrões. Exemplo: *.pdf ignorará todos os ficheiros pdf

--one-book-per-directory, -1
    Assumir que cada pasta tem um único livro lógico e que todos os ficheiros nela contidos são formatos diferentes desse livro

--recurse, -r
    Processar pastas recursivamente

REMOVE

calibredb remover ids

Remover os livros, identificados por ID, da base de dados. Os ID devem estar numa lista de números de ID, separados por vírgulas. Você pode obter o numero de ID através do comando de pesquisa. Por exemplo, 23,34,57-85 (se especificar um intervalo, o último número do intervalo não será incluído).

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--permanent
    Não usar a Reciclagem

ADD_FORMAT

calibredb add_format [options] ID ebook_file

Adicionar o livro em ebook_file para os formatos disponíveis para o livro lógico identificado por ID. Pode obter o ID usando o comando de pesquisa. Caso o formato já exista será substituído, a menos que esteja especificada a opção de não substituir.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--as-extra-data-file
    Adicionar o ficheiro como um ficheiro de dados extra ao livro, não como um formato de livro digital

--dont-replace
    Não substituir o formato se o formato já existir

REMOVE_FORMAT

calibredb remove_format [options] id fmt

Remover o formato fmt do livro lógico identificado pelo ID. Pode saber o ID usando o comando search. fmt deve ser uma extensão de ficheiro como LRF ou TXT ou EPUB. Se o livro lógico não tem fmt disponível, não fazer nada.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [options] id

Mostrar os metadados armazenados na base de dados do Calibre para o livro identificado pelo ID. O ID é um número de identificação do comando de pesquisa.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--as-opf
    Imprimir os metadados no formulário OPF (XML)

SET_METADATA

calibredb set_metadata [options] book_id [/path/to/metadata.opf]

Definir os metadados armazenados na base de dados Calibre para o livro identificado por book_id do ficheiro OPF metadata.opf. book_id é um número de identificação do comando de pesquisa. Pode ter uma ideia do formato OPF utilizando a opção --as-opf alternando para o comando show_metadata. Também pode definir os metadados de campos individuais com a opção --field. Se usar a opção --field, não é necessário especificar um ficheiro OPF.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--field, -f
    O campo a ser definido. O formato é field_name:value, por exemplo: --field tags:tag1,tag2. Use --list-fields para obter uma lista de todos os nomes de campo. Pode especificar esta opção várias vezes para definir vários campos. Nota: para idiomas deve usar os códigos de idioma ISO639 (por exemplo, en para Inglês, pt para Português e assim por diante). Para identificadores, a sintaxe é --field identifiers:isbn:XXXX,doi:YYYYY. Para campos booleanos (sim/não) use verdadeiro e falso ou sim e não.

--list-fields, -l
    Lista de nomes de campos de metadados que podem ser usadas com a opção --field

EXPORT

calibredb exportar [options] ID

Exporta os livros especificados pelos ID (numa lista separada por virgulas) para o sistema de ficheiros. A operação de exportação guarda todos os formatos do livro, a sua capa e os metadados (estes num ficheiro OPF). Pode obter os números de ID através do comando de pesquisa.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--all
    Exportar todos os livros da base de dados, ignorando a lista de ID.

--dont-asciiize
    Converter com o Calibre todos os caracteres não ingleses para equivalentes ingleses nos nomes dos ficheiros. Isto é útil se estiver a guardar para um sistema de ficheiros antigo que não possua suporte total Unicode a nomes de ficheiros. Especificar este parâmetro irá desligar este comportamento.

--dont-save-cover
    Normalmente o Calibre guarda a capa num ficheiro separado, junto aos ficheiros do livro em causa. Especificar este parâmetro irá desligar este comportamento.

--dont-save-extra-files
    Guardar qualquer ficheiro associado ao livro ao guardar o livro Especificar este parâmetro irá desligar este comportamento.

--dont-update-metadata
    Normalmente o Calibre atualiza os metadados nos ficheiros exportados a partir da biblioteca do Calibre. Torna a exportação de ficheiros mais lenta. Especificar este parâmetro irá desligar este comportamento.

--dont-write-opf
    Normalmente o Calibre escreve os metadados num ficheiro OPF separado, junto aos ficheiros do livro em causa. Especificar este parâmetro irá desligar este comportamento.

--formats
    Lista separada por vírgulas de de formatos a guardar para cada livro. A predefinição todos os formatos disponíveis são guardados.

--progress
    Relatório de execução

--replace-whitespace
    Substituir espaços por sobtraços

--single-dir
    Exportar todos os livros para uma única pasta

--template
    Modelo para controlar a estrutura do nome de ficheiro e pastas para os ficheiros exportados. A predefinição é "{author_sort}/{title}/{title} - {authors}", o que vai guardar os livros numa subpasta por autor com o nome dos ficheiros contendo título e autor. As variáveis disponíveis são: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    O formato para exibir datas. %d - dia, %b - mês, %m - número do mês, %Y - ano. A predefinição é: %b, %Y

--to-dir
    Exportar livros para a pasta especificada. O predefinido é .

--to-lowercase
    Converter os caminhos para minúsculas.

CATALOG

calibredb catalog /path/to/destination.(csv|epub|mobi|xml...) [options]

Export a catalog in format specified by path/to/destination extension. Options control how entries are displayed in the generated catalog output. Note that different catalog formats support different sets of options. To see the different options, specify the name of the output file and then the --help option.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--ids, -i
    Lista separada por vírgulas de ID de base de dados a catalogar. Se declarada, --search será ignorada. Predefinição: all (todas)

--search, -s
    Filtrar os resultados dos termos de pesquisa. Para saber mais sobre o formato dos termos da pesquisa, consulte a documentação relacionada com a pesquisa no manual de utilizador. Predefinição: sem filtragem

--verbose, -v
    Mostrar informação de saída detalhada. Útil para depurar.

  EPUB OPÇÕES

--catalog-title
    Título do catálogo gerado utilizado como título nos metadados. Predefinição: 'My Books' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--cross-reference-authors
    Criar referências cruzadas na secção de autores para livros com múltiplos autores. Predefinição: 'False' Aplica-se a: formatos de saída AZW3,EPUB, MOBI

--debug-pipeline
    Guarda o resultado, na pasta especificada, dos diferentes estágios da cadeia de conversão. Será útil se não tiver a certeza onde é que está a ocorrer o erro do processo de conversão. Predefinição: 'None' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--exclude-genre
    Expressão regular descrevendo etiquetas a excluir como géneros. Predefinição: '[.+]|^+$' exclui etiquetas com colchetes, por ex. '[Projeto Gutenberg]', e ainda '+', a etiqueta predefinida para os livros lidos. Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--exclusion-rules
    Especifica as regras usadas para excluir livros do catálogo gerado. O modelo para uma regra de exclusão é ('<rule name>','Tags','<comma-separated list of tags>') ou ('<rule name>','<custom column>','<pattern>'). Por exemplo: (('Livros arquivados','#status','Arquivado'),) irá excluir um livro com um valor de 'Arquivado' na coluna personalizada 'status'. Quando estiverem definidas várias regras serão aplicadas todas as regras. Predefinição: "(('Catalogs','Tags','Catalog'),)" Aplica-se aos formatos de saída AZW3, EPUB, MOBI

--generate-authors
    Incluir a secção 'Autores' no catálogo. Predefinição: 'False' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--generate-descriptions
    Incluir a secção 'Descrição' no catálogo. Predefinição: 'False' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--generate-genres
    Incluir a secção 'Géneros' no catálogo. Predefinição: 'False' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--generate-recently-added
    Incluir a secção 'Recentemente adicionado' no catálogo. Predefinição: 'False' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--generate-series
    Incluir a secção 'Séries' no catálogo. Predefinição: 'False' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--generate-titles
    Incluir a secção 'Títulos' no catálogo. Predefinição: 'False' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--genre-source-field
    Campo fonte para a secção 'Géneros'. Predefinição: 'Etiquetas' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--header-note-source-field
    Campo personalizado que contém texto de notas para inserir no cabeçalho "Descrição". Predefinição: '' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] especificando: <custom field> Campo personalizado contendo notas para fundir com os comentários [before|after] Colocação de notas em relação aos comentários [True|False] - Uma linha horizontal é inserida entre notas e comentários Predefinição: '::' Aplica-se a formatos de saída AZW3, EPUB, MOBI

--output-profile
    Especifica um perfil de saída para um dispositivo. Em alguns casos, um perfil de saída é necessário para otimizar o catálogo para um dispositivo específico. Por exemplo, 'kindle' ou 'kindle_dx' cria um índice com secções e artigos. Predefinição: 'None' Aplica-se aos formatos de saída AZW3, EPUB, MOBI

--prefix-rules
    Especifica as regras usadas para incluir prefixos que indiquem livros de leitura, itens de lista de desejos e outros prefixos especificados pelo utilizador. O modelo para uma regra de prefixo é ('<rule name>','<source field>','<pattern>','<prefix>'). Quando forem definidas várias regras será usada a primeira regra correspondente. Predefinição: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Aplica-se a formatos de saída AZW3, EPUB, MOBI

--preset
    Utilizar um nome predefinido criado com a IGU do construtor de catálogo. Uma predefinição especifica todas as configurações para construir um catálogo. Predefinição: 'None' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--thumb-width
    Dica sobre o tamanho (em pol.) para as capas de livros no catálogo. Faixa: 1.0 - 2.0 Predefinição: '1.0' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--use-existing-cover
    Substituir uma capa existente quando gerar o catálogo. Predefinição: 'False' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

SAVED_SEARCHES

calibredb saved_searches [opções] (list|add|remove)

Gerir as pesquisas guardadas armazenadas nesta base de dados. Se tentar adicionar uma consulta com um nome que já exista, este será substituído.

Sintaxe para adicionar:

calibredb saved_searches add search_name search_expression

Sintaxe para remover:

calibredb saved_searches remove search_name

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [options] label name datatype

Cria uma coluna personalizada. LABEL é o nome amigável da coluna para a máquina. Não pode conter espaços ou dois pontos. NAME é o nome amigável da coluna para humanos. DATATYPE pode ser um dos seguintes: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--display
    Um dicionário de opções para personalizar a forma como os dados nesta coluna serão interpretados. Esta é uma string JSON. Para colunas de enumeração, use --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Existem muitas opções que podem ir para as opções de variáveis de exibição. As opções por tipo de coluna são: composite: composite_template, composite_sort, make_category,contains_html, use_decorations datetime: date_format enumeration: enum_values, enum_colors, use_decorations int, float: number_format text: is_names, use_decorations A melhor maneira de encontrar combinações válidas é criar uma coluna personalizada do tipo apropriado na GUI e em seguida olhar para o backup OPF de um livro (assegure-se que um novo OPF foi criado da coluna foi acrescentado). Vai ver o JSON da "exibição" para a nova coluna em OPF.

--is-multiple
    Esta coluna armazena etiquetas como dados (ex. múltiplos valores separados por vírgulas). Só se aplica caso o tipo de dados seja de texto.

CUSTOM_COLUMNS

calibredb custom_columns [opções]

Lista as colunas personalizadas disponíveis. Mostra rótulos de colunas e os ID.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--details, -d
    Mostrar detalhes para cada coluna.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [opções] etiquetas

Remover o campo personalizado com o rótulo especificado. Pode ver quais os campos personalizados disponíveis com o comando custom_columns.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--force, -f
    Não solicitar confirmação

SET_CUSTOM

calibredb set_custom [opções] valor ID coluna

Define o conteúdo de um coluna personalizada para o livro identificado pelo ID. Pode obter uma lista dos ID usando o comando search. Pode obter uma lista de colunas personalizadas usando o comando custom_columns.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--append, -a
    Se a coluna armazena valores múltiplos, adicione os valores especificados aos já existentes em vez de os substituir.

RESTORE_DATABASE

calibredb restore_database [options]

Restaurar esta base de dados a partir dos metadados armazenados nos ficheiros OPF em cada pasta da biblioteca do Calibre. Isto é útil apenas se o seu ficheiro metadata.db tiver sido corrompido.

AVISO: Este comando regenera completamente a sua base de dados. Vai perder todas as pesquisas guardadas, categorias do utilizador, conectores, preferências de conversão por livro e receitas personalizadas. Os metadados restaurados serão tão exatos quanto os encontrados nos ficheiros OPF.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--really-do-it, -r
    Executar efetivamente a recuperação. O comando não irá ser executado se esta opção não for especificada.

CHECK_LIBRARY

calibredb check_library [options]

Executar algumas verificações no sistema de ficheiros representando uma biblioteca. Os relatórios são invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--csv, -c
    Saída em CSV

--ignore_extensions, -e
    Lista separada por vírgulas de extensões a ignorar: Predefinição: todas

--ignore_names, -n
    Lista separada por vírgulas de nomes a ignorar: Predefinição: todos

--report, -r
    Lista separada por vírgulas de relatórios: Predefinição: todos

--vacuum-fts-db
    Esvaziar a base de dados de pesquisa em texto integral. Dependendo do tamanho da base de dados isto pode ser muito lento e consumir muita memória.

LIST_CATEGORIES

calibredb list_categories [options]

Produzir um relatório das informações da categoria na base de dados. A informação é equivalente à que é mostrada no navegador de conteúdos.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--categories, -r
    Lista separada por vírgulas de categorias de limitadores de pesquisa. Predefinição: tudo

--csv, -c
    Saída em CSV

--dialect
    O tipo de ficheiro CSV a criar. Opções: excel, excel-tab, unix

--item_count, -i
    Na saída apresentar apenas o número de itens numa categoria em vez da contagem por item dentro de cada categoria

--width, -w
    A largura máxima de uma linha no ficheiro de destino. A predefinição será detetar o tamanho do ecrã.

BACKUP_METADATA

calibredb backup_metadata [options]

Cópia de segurança dos metadados armazenados na base de dados em ficheiros OPF individuais em cada diretório de livros. Normalmente isto acontece automaticamente, mas pode executar este comando para forçar uma recriação dos ficheiros OPF, com a opção --all.

Note que normalmente não há necessidade de fazer isto, pois os ficheiros OPF são copiados automaticamente sempre que os metadados sejam alterados.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--all
    Por norma, este comando só funciona com livros que tenham ficheiros OPF antiquados. Esta opção faz com que funcione com todos os livros.

CLONE

calibredb clone path/to/new/library

Criar um clone da biblioteca atual. Isto cria uma nova biblioteca, vazia, mas que contém as mesmas colunas personalizadas, bibliotecas virtuais e outras configurações da biblioteca atual.

A biblioteca clonada não contém livros. Se quiser criar uma cópia completa, incluindo todos os livros, use as ferramentas do sistema operativo para copiar a pasta da biblioteca.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

EMBED_METADATA

calibredb embed_metadata [opções] book_id

Atualiza os metadados nos ficheiros atuais dos livros existentes na biblioteca do Calibre a partir dos metadados guardados na base de dados do Calibre. Normalmente, os metadados são atualizados apenas quando se exportam ficheiros a partir do Calibre, donde este comando é útil quando pretende que os ficheiros sejam atualizados na pasta onde estão guardados. Note que diferentes formatos de ficheiro suportam diferentes quantidades de metadados. Pode usar o valor especial 'all' para o parâmetro book_id de modo a atualizar os metadados em todos os livros. Pode também especificar múltiplos ID de livros separando-os com espaços ou usando gamas de ID, separados por hífenes. Por exemplo: calibredb embed_metadata 1 2 10-15 23

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--only-formats, -f
    Atualizar metadados apenas em ficheiros de formato especifico. Especifique-o vários vezes para vários formatos. Por definição, todos os formatos são atualizados.

SEARCH

calibredb search [opções] expressão_de_pesquisa

Procura nesta biblioteca o termo de pesquisa especificado, devolvendo uma lista de ID de livros, separada por virgulas, que correspondem ao critério de pesquisa. O formato de saída é útil como fonte de dados para outros comandos que aceitem uma lista de ID como valor de entrada.

A expressão de pesquisa pode ser qualquer das possíveis construções da poderosa linguagem de queries de pesquisa do Calibre, como por exemplo: calibredb search author:asimov 'title:"i robot"'

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--limit, -l
    O número máximo de resultados a mostrar. A predefinição é todos os resultados.

FTS_INDEX

calibredb fts_index [options] enable/disable/status/reindex

Control the Full text search indexing process.

enable
    Turns on FTS indexing for this library

disable
    Turns off FTS indexing for this library

status
    Shows the current indexing status

reindex
    Can be used to re-index either particular books or the entire library. To re-index particular books specify the book ids as additional arguments after the reindex command. If no book ids are specified the entire library is re-indexed.

    Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--indexing-speed
    A velocidade da indexação. Escolha entre Rápida para indexação rápida que utilizará todos os recursos do seu computador ou, Lenta para indexação menos intensiva a nível dos recursos. Note que a velocidade é redefinida para lenta depois de cada invocação.

--wait-for-completion
    Aguarde até que todos os livros sejam indexados. Periodicamente será mostrado o progresso da ação

FTS_SEARCH

calibredb fts_search [opções] expressão de pesquisa

Executa uma pesquisa de texto integral em toda a biblioteca ou num seu subconjunto.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--do-not-match-on-related-words
    Encontrar apenas palavras exatas, e não palavras relacionadas. Dessa forma, 'corrigir' não irá encontrar 'corrigindo'.

--include-snippets
    Incluir trechos do texto à volta de cada correspondência. Note que isto torna a pesquisa muito mais lenta.

--indexing-threshold
    A parte da biblioteca que deve ser indexada antes que a pesquisa seja permitida, tal como uma percentagem. Valor predefinido é 90

--match-end-marker
    O marcador usado para indicar o final de uma palavra correspondente dentro de um trecho

--match-start-marker
    O marcador usado para indicar o início de uma palavra correspondente dentro de um trecho

--output-format
    O formato de saída dos resultados da pesquisa. Use "text" para texto simples ou "json" para saída JSON.

--restrict-to
    Restringir os livros pesquisados, seja usando uma expressão de pesquisa ou por ID. Por exemplo: ids:1,2,3 para restringir por ID ou search:tag:foo para restringir a livros com a etiqueta 'foo'.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal